﻿namespace msoui.Forms;
public sealed partial class UpdatesListForm: Form
{
    public UpdatesListForm (List<string> updatesList)
    {
        UpdatesList = updatesList;
        InitializeComponent();
    }

    public List<string> UpdatesList { get; set; }

    private const string SelectionStatusLabel = "{0} выбрано из {1}";

    private void button2_Click (object sender, EventArgs e)
    {
        DialogResult = DialogResult.Cancel;
    }

    private void selectAllButton_Click (object sender, EventArgs e)
    {
        for (int index = 0; index < updatesListBox.Items.Count; index++)
            updatesListBox.SetItemCheckState(index, CheckState.Checked);
    }

    private void UpdatesListForm_Load (object sender, EventArgs e)
    {
        updatesListBox.Items.Clear();

        foreach (string item in UpdatesList)
            updatesListBox.Items.Add(item, CheckState.Checked);
    }

    private void checkedUpdateTimer_Tick (object sender, EventArgs e)
    {
        selectionStatus.Text = string.Format(SelectionStatusLabel, updatesListBox.CheckedItems.Count, updatesListBox.Items.Count);
    }
}
